<?
// grab recaptcha library
session_start();
ob_start(); 
include_once 'start_sess.php';
include_once 'head.php';
include_once 'functions.php';

if (isset($_POST['nick']) && isset($_POST['password']) && isset($_POST['password2']) && isset($_POST['email'])) {


if (mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `nick` = '" . my_esc($_POST['nick']) . "' LIMIT 1"), 0) != 0)
            err_game("Этот ник уже зарегистрирован. Выберите другой!");
        elseif (!preg_match("#^([A-zА-я0-9\-\_\ ])+$#ui", $_POST['nick']))
            err_game('В нике присутствуют запрещенные символы');
        elseif (preg_match("#[a-z]+#ui", $_POST['nick']) && preg_match("#[а-я]+#ui", $_POST['nick']))
            err_game('Разрешается использовать символы только русского или только английского алфавита');
elseif(preg_match("/(ru|wapsad|w ap sad|wap sad|уеба|еб)/",$_POST['nick']))
            err_game('В нике присутствуют запрещенные слова');

        elseif (preg_match("#(^\ )|(\ $)#ui", $_POST['nick']))
            err_game('Запрещено использовать пробел в начале и конце ника');
        elseif (strlen2($_POST['nick']) < 4)
            err_game('Короткий ник');
        elseif (strlen2($_POST['nick']) > 32)
            err_game('Длина ника превышает 32 символа');
        elseif (!isset($_POST['email']) || $_POST['email'] == null)
            err_game('Неоходимо ввести Email');
        elseif (!preg_match('#^[A-z0-9-\._]+@[A-z0-9]{2,}\.[A-z]{2,4}$#ui', $_POST['email']))
            err_game('Неверный формат Email');
        elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `email` = '" . my_esc($_POST['email']) . "'"), 0) != 0)
            err_game("Пользователь с этим E-mail уже зарегистрирован");
        elseif (strlen2($_POST['password']) < 6)
            err_game('По соображениям безопасности пароль не может быть короче 6-ти символов');
        elseif (strlen2($_POST['password']) > 32)
            err_game('Длина пароля превышает 32 символа');
                        elseif($_POST['capcha'] != $_SESSION['capcha'])err_game('Проверочный код неверен');

        elseif ($_POST['password'] != $_POST['password2'])
            err_game('Пароли не совпадают');

 else {
            if ($_POST['pol'] == 0)
                $pol = '0';
            else
                $pol = '1';
            mysql_query("INSERT INTO `kolhoz_user` SET `nick` = '" . my_esc($_POST['nick']) . "', `password` = '" . md5($_POST['password']) . "', `pol` = '$pol', `email` = '" .
                my_esc(strtolower($_POST['email'])) . "', `money` = '1000000000', `rubies` = '500000', `status` = '" . (mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user`"),
                0) == 0 ? 3 : 0) . "'");
           $user =mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `nick` = '".my_esc($_POST['nick'])."' AND `password` = '".md5($_POST['password'])."'"));

$id = $user['id'];
$pass = ($_POST['password']);
setcookie('id', $id, time()+86400*365, '/');
setcookie('pass',md5($pass), time()+86400*365, '/');
            $text = "Добро пожаловать в игру Моя Деревня. 
            Для прокачки у вас есть 500000 рубинов и 1000000000 монет!:) 
            Удачной игры.";
            mysql_query("INSERT INTO `kolhoz_mail` SET `id_user` = '$id', `id_kont` = '0', `msg` = '$text', `time` = '" . time() .
                "', `type` = 'to'") or die(mysql_error());
            if (isset($_SESSION[refer])) {
                $control = mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `id` = '" . intval($_SESSION['refer']) . " ' "));
                if ($control['ip'] !== $_SERVER['REMOTE_ADDR']) {
                    mysql_query("UPDATE `kolhoz_user` SET `count_ref` = '$control[count_ref]' +'1' WHERE `id` = '" . intval($_SESSION['refer']) . "' ") or die(mysql_error
                        ());
                    mysql_query("UPDATE `kolhoz_user` SET `refi` = '$control[id]' WHERE `id` = '$_SESSION[id_user]' ") or die(mysql_error());
                }
            }
            header("Location: http://tilas.ru/");
            exit;
        }


        
        

   }
?>
<div class="event">
<div><h1>Регистрация</h1></div>
</div>
<div class="content">
<div class="block">
<form method="post"><ul>
<li>
<label>Ник:<br>
<input type="text" value="" name="nick">
</label>
</li>
<li class="pt">
<label>Пол:<br>
<select name='pol'>
<option value='1'>Мужской</option>
<option value='0'>Женский</option>
</select>
</label>
</li>
<li class="pt">
<label>Пароль:<br>
<input type="password" value="" name="password">
</label>
</li>
<li class="pt">
<label>Ещё раз пароль:<br>
<input type="password" value="" name="password2">
</label>
</li>

<li class="pt">
<label>Email (для востановления пароля):<br>
<input type="text" value="" name="email">
</label>
</li>
<li class="pt">


<li class="pavelgrey">
  <div class="warn">Внимание!
</div>
<div class="small minor">
После регистрации Ваш ник и
email изменить будет нельзя.
</div>

<li class="pt">
<input type="submit" value="Сохранить">
</li>
</ul>
</form>
</div>
<div class="block event">
<img width="16" height="16" src="images/icons/back.png" alt="o"> <a href="/">В начало</a>
</div>
</div>
<?
echo'</div></div></div></div></div></div></div></div></div></div>';

include_once 'inc/foot.php';
exit;

?>